Last Comment Bug 788600 - AutoComplete causing multiple entries of the same word
: AutoComplete causing multiple entries of the same word
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: Keyboards and IME (show other bugs)
: 16 Branch
: ARM Android
: P1 normal with 1 vote (vote)
: Firefox 18
Assigned To: Chris Peterson [:cpeterson]
:
:
Mentors:
Depends on:
Blocks: 759857 769520
  Show dependency treegraph
 
Reported: 2012-09-05 10:56 PDT by Tyler Downer [:Tyler]
Modified: 2016-07-29 14:29 PDT (History)
13 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified
+
verified
verified
verified


Attachments
Backout ad4fd5dcc088 (Bug 769520 Part 2) (13.51 KB, patch)
2012-09-06 12:21 PDT, Chris Peterson [:cpeterson]
lukasblakk+bugs: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta+
lukasblakk+bugs: approval‑mozilla‑release+
Details | Diff | Splinter Review
Backout b9ad5793fbba (Bug 769520 Part 1) (9.45 KB, patch)
2012-09-06 12:22 PDT, Chris Peterson [:cpeterson]
lukasblakk+bugs: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta+
lukasblakk+bugs: approval‑mozilla‑release+
Details | Diff | Splinter Review

Description Tyler Downer [:Tyler] 2012-09-05 10:56:31 PDT
Related to Bug #780543 Comment 15

This same issue is reflected in google Play Reviews
"When I type a message, the words are repeated! It'll so if I type hello, it'll say helhellhello. Real aggravating!"

This is just one specific review, there are many more that are "can't type in google, fb, etc" "can't type on websites" etc. That are possibly the same thing.
Comment 1 Aaron Train [:aaronmt] 2012-09-05 11:11:09 PDT
Coalescing the Google Play reviews; have we seen a pattern of device model/brand?
Comment 2 Aaron Train [:aaronmt] 2012-09-05 12:37:29 PDT
Posted a test-case in 780543 as I can reproduce. Not sure how this bug differs; they all sound the same.
Comment 3 Alex Keybl [:akeybl] 2012-09-05 13:54:02 PDT
Chris believes this may be bug 769520.
Comment 4 Paul [pwd] 2012-09-05 13:55:14 PDT
Has anyone contacted Swiftkey for an insight into this? They have the same issue being reported with multiple browsers on their site. While I don't think the issue is exclusive to Swiftkey, it could shed some light.
Comment 5 Chris Peterson [:cpeterson] 2012-09-05 16:55:32 PDT
I backed out bug 769520 from m-c, so this bug should (with luck) be fixed in tomorrow's Nightly:
https://hg.mozilla.org/mozilla-central/rev/3974efe8d584
https://hg.mozilla.org/mozilla-central/rev/1f1e5cdae68d
Comment 6 Paul Feher 2012-09-06 06:55:30 PDT
I can reproduce this issue using Swiftkey 3 Trial on Nightly 18.0a1 (2012-09-05) following the STR and the test-case from Bug 780543 using:
- Samsung Galaxy Tab 2 7.09 (Android 4.0.4)
- Samsung Galaxy Nexus (Android 4.1.1)
- ASUS EEE Transformer (Android 4.0.3)

Using the same device,STR and test-case the issue is not reproducible on latest Nightly 18.0a1 (2012-09-06).
Comment 7 Chris Peterson [:cpeterson] 2012-09-06 12:21:54 PDT
Created attachment 658959 [details] [diff] [review]
Backout ad4fd5dcc088 (Bug 769520 Part 2)

[Approval Request Comment]
Regression caused by (bug #): bug 769520
User impact if declined: Keyboard input can repeat itself in some large text fields, making typing impossible.
Testing completed (on m-c, etc.): QA tested Nightly 18.0a1 2012-09-06
Risk to taking this patch (and alternatives if risky): bug 759857 regression for some phones with small screens in landscape orientation
Comment 8 Chris Peterson [:cpeterson] 2012-09-06 12:22:35 PDT
Created attachment 658960 [details] [diff] [review]
Backout b9ad5793fbba (Bug 769520 Part 1)

[Approval Request Comment]
Regression caused by (bug #): bug 769520
User impact if declined: Keyboard input can repeat itself in some large text fields, making typing impossible.
Testing completed (on m-c, etc.): QA tested Nightly 18.0a1 2012-09-06
Risk to taking this patch (and alternatives if risky): bug 759857 regression for some phones with small screens in landscape orientation
Comment 9 Lukas Blakk [:lsblakk] use ?needinfo 2012-09-06 12:38:24 PDT
Comment on attachment 658960 [details] [diff] [review]
Backout b9ad5793fbba (Bug 769520 Part 1)

Taking this for the 15.0.1 respin for Mobile, we'll have to take the hit of the single-device glitch in bug 759857 in order to see this larger issue fixed for more users. I know Chris is going to see what he can do today for a testable fix for the Samsung bug but either way we'll take this on branches, please update the status flags in bug 769520 once this is backed out.

Note You need to log in before you can comment on or make changes to this bug.